Subject: Re: FVWM: Animated Menus, Animated Moves, Improved Menus, and More!

From: Tim Phipps <[email-masked]>
Date: Fri, 30 May 1997 16:54:29 +0100 (BST)

> 
> Uses gperf to build "fvwm-command-hasher.c" which gets included by
> functions.c.  Reworked functions.c to use a hash lookup on a built-in's
> name instead of linear lookup.  Reduced my startup time by 15% or so.
> You may need to give -DNO_GPERF if you have problems with this.

I have had a go with this patch. Animated menus and animated move are great, I 
vote they go in.

But the patch didn't apply very nicely on my HP-UX 10.20 box.  It seems to have 
too many changes for just one patch.  There is a change to configure.h (the 
DEBUG #define with variable arguments) causes compiler warnings (I don't use 
gcc).  Debug is also turned on by this patch.  Setenv should be in a sperate
patch.  The gperf stuff does not rebuild if you edit functions.c to add a new 
command.

Something is also translating parts of my .fvwm2rc to lowercase.  This stops 
FvwmBanner and FvwmButtons being run at startup from the following

AddToFunc InitFunction	"I" my_resources
+			"I" FvwmBanner
+			"I" Wait FvwmBanner
+			"I" FvwmButtons FrontPanel
+			"I" Wait FrontPanel
+			"I" my_topwindow

What is strange is that the following function (bound to a key works)

AddToFunc my_test	"I" Next [FvwmTalk] my_focus
+			"I" None [FvwmTalk] FvwmTalk
+			"I" Wait FvwmTalk
+			"I" my_test

I've tried to find where this is happening but the patch is huge!
Would it be possible for you to do a minimal patch that justs adds animated
menus and moves?

Cheers,
Tim Phipps.
--
Visit the official FVWM web page at <URL:http://www.hpc.uh.edu/fvwm/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].

---

From: [email-masked]
Date: Fri, 30 May 97 12:16:03 -0400

> I have had a go with this patch. Animated menus and animated move are great, 

I've also noticed that the gperf stuff doesn't erase the file before
creating it.  It appends another copy to the end.  On my second make
I get redefinition errors because of it and have to truncate the
file.

> patch.  The gperf stuff does not rebuild if you edit functions.c to add a new

It has some problems with the DEC Alpha stuff too, but you can ignore
the DBUG stuff (even says so in the comments).

I noticed that there was a type conflict on a function return but cannot
remember where right now.  Easy fix.